# LiveLike iOS Code Assessment
Welcome to the LiveLike iOS Code Assessment. The goal of this exercise is to fix and complete an app that allows you to search for animated GIFs and display trending ones using the [GiphyAPI](https://developers.giphy.com/docs/api#quick-start-guide)
> Please follow instructions in the **Submission** section to correctly submit your project.

### Task #1 - Create a network request
- Open file `GiphyApiManager`
- Observe the functionality inside `getCodable()` func is left empty
- Fill in the appropriate functionality using native iOS code that would create a network request, receive data, decodes it or return a `GiphyApiError.decodingFailed` error

### Task #2 - Add an Image to the UICollectionViewCell
- Open file `GifCollectionViewCell`
- Use `self.imageView` variable to add an image to the cell
- Please make the image height and width conform to the cell's bounds
- Using Auto Layout Constraints to build out the UI is a hard requirement 

### Hard Requirements
-   **Use of third party frameworks is not permitted**
-  You must handle all functionality using native iOS frameworks
-  Please manually write all UI code using Auto Layout Constraints
-  The code needs to compile and run in the simulator
-  The code should not crash under normal usage (searching, scrolling, rotation)
-  All code must be written in Swift
-  The project should run out of the box in the latest (non-beta) version of Xcode

### Extra Credit
-   Unit Tests

## Submission
-   Create an account with **code.livelike.com**
-   Fork the repository into your local environment
-   To submit your project **you must submit it as a Pull Request**
